#
# Copyright (c) 2004-5 Don Stewart - http://www.cse.unsw.edu.au/~dons
# GPL version 2 or later (see http://www.gnu.org/copyleft/gpl.html)
#

PREFIX=         /usr/local
BINDIR=         /usr/local/bin
LIBDIR=         /usr/local/lib/$(PKG)
DATADIR=        /usr/local/share/doc/$(PKG)
IFACEDIR=       $(LIBDIR)/imports
 
#
# config.mk
# variables that need to be visible in Makefiles
#

# full path to GHC
GHC             = ghc

# any extra flags you want
HC_OPTS         = 
#-Wall -Werror
#HC_OPTS+=       -Onot -fasm -H64m
#HC_OPTS       += -fvia-C -funbox-strict-fields -O2

GHC_VERSION= 	 @GHC_VERSION@
GLASGOW_HASKELL= @GLASGOW_HASKELL@

# full path to alex, if you need to modify the lexer
ALEX            = @ALEX@

# Optimise for GHC. Much smaller lexer
ALEX_OPTS       = --ghc

# full path to happy, needed if you modify the parser
HAPPY           = @HAPPY@

# Optimise for GHC
HAPPY_OPTS      = -acg

STRIP           = strip

INSTALL=        sh $(TOPDIR)/install-sh -c
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=   $(INSTALL) -m 644
INSTALL_DIR=    mkdir -p
CP=             cp
RM=             rm -f
