module Identifiers where

import Data.Generics
import Data.Typeable
import Pretty

newtype TypId = TypId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty TypId where ppr (TypId s) = text s

newtype ValId = ValId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty ValId where ppr (ValId s) = text s

newtype StrId = StrId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty StrId where ppr (StrId s) = text s

newtype FunId = FunId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty FunId where ppr (FunId s) = text s

newtype SimTyvar = SimTyvar String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty SimTyvar where ppr (SimTyvar s) = text s

newtype TyconId = TyconId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty TyconId where ppr (TyconId s) = text s

newtype CoreId = CoreId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty CoreId where ppr (CoreId s) = text s

newtype SemTyconId = SemTyconId String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty SemTyconId where ppr (SemTyconId s) = text s

newtype SemSimTyvar = SemSimTyvar String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty SemSimTyvar where ppr (SemSimTyvar s) = text s

newtype SemTyvar = SemTyvar String deriving (Show,Eq,Ord,Typeable,Data)
instance Pretty SemTyvar where ppr (SemTyvar s) = text s
