module Pretty (

    (<.>),
    
    module Phrac.Pretty

) where

import Phrac.Pretty

instance (Pretty a, Pretty b) => Pretty (a, b) where
    ppr (a, b) = parens $ ppr a <> comma <+> ppr b
 
instance (Pretty a, Pretty b, Pretty c) => Pretty (a, b, c) where
    ppr (a, b, c) = parens $ ppr a <> comma <+> ppr b <> comma <+> ppr c

infixl 6 <.>

(<.>) :: Doc -> Doc -> Doc
p <.> q = p <> text "." <> q